#import "PolygonView.h"


@implementation PolygonView

- (IBAction)takeNumSidesFrom:sender
{
	[self setNumSides:[sender intValue] ];
}


- initWithFrame:(NSRect)rect
{
    [super initWithFrame:rect];
    [self setBounds:NSMakeRect(-1,-1,2,2)];
    [self setNumSides:3];
    return self;
}


- (BOOL)isOpaque
{
    return NO;
}



- (void)setNumSides:(int)val
{
    if (val>0 && sides!=val) {
        sides = val;
        [self setNeedsDisplay:YES];
    }
}

-(void)drawRect:(NSRect)rect
{
    NSBezierPath *shape = [NSBezierPath bezierPath];
    float theta;

    [shape moveToPoint:NSMakePoint(sin(0.0),cos(0.0))];

    // M_PI is a predefined value of PI.
    // M_PI*2.0 is number of radians in a circle.
    // The for() statement below sweeps through each
    //    pie-section of the polygon for each side.

    for (theta=0.0;
         theta <= 2*M_PI;
         theta += (M_PI*2.0)/sides) {

        [shape lineToPoint:NSMakePoint(sin(theta), 
                                       cos(theta)) ];
    }

    [ [NSColor blackColor] set];
    [shape fill];
}


@end
