#import <Cocoa/Cocoa.h>
#import "GraphView.h"


@interface ColorGraphView : GraphView
{
    NSColor *axesColor;
    NSColor *graphColor;
    NSColor *labelColor;
}

- (NSColor *)colorForTag:(int)aTag;
- (void)setObjectsToColor:(NSColor *)theColor forTag:(int)aTag;
- (void)addGraphElement:(id)element;

- (IBAction)setObjectsToColor:(id)sender;


// Dragging Support

- (int)tagAtPoint:(NSPoint)pt;
- (unsigned int)draggingEntered:(id <NSDraggingInfo>)sender;
- (unsigned int)draggingUpdated:(id <NSDraggingInfo>)sender;
- (BOOL)performDragOperation:(id <NSDraggingInfo>)sender;


@end
